Get location detail
curl --request GET \
--url https://api.spirii.com/emsp/v1/locations/{location_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spirii.com/emsp/v1/locations/{location_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spirii.com/emsp/v1/locations/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cpo_id": "<string>",
"source_id": "<string>",
"name": "<string>",
"address": {
"address": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"coordinates": {
"latitude": "<string>",
"longitude": "<string>"
},
"time_zone": "<string>"
},
"evses": [
{
"uid": "<string>",
"evse_id": "<string>",
"status": "AVAILABLE",
"connectors": [
{
"id": "<string>",
"standard": "CHADEMO",
"format": "CABLE",
"power_type": "AC_1_PHASE",
"max_electric_power": 123
}
],
"capabilities": [
"<string>"
]
}
],
"last_updated": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"parking_type": "ALONG_MOTORWAY",
"access_type": "PRIVATE",
"facilities": [
"<string>"
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}GET
/
emsp
/
v1
/
locations
/
{location_id}
Get location detail
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
End-user token id; resolves through its token group to the reachable SUB networks.
Token group id (peer to token_id); resolves to its assigned SUB networks.
Response
The requested location.
Canonical location id.
CPO id (eMI3, e.g. DK*SPI).
Operator's own id for the location.
Location name.
Show child attributes
Show child attributes
The location EVSEs (each with its connectors).
Show child attributes
Show child attributes
Last-update timestamp (UTC).
Creation timestamp (UTC).
Available options:
ALONG_MOTORWAY, ON_DRIVEWAY, ON_STREET, OTHER, PARKING_GARAGE, PARKING_LOT, UNDERGROUND_GARAGE, UNKNOWN Available options:
PRIVATE, PUBLIC, RESTRICTED Location facilities.
Was this page helpful?